Name:		nordugrid-release
Version:	11.05
Release:	1%{?dist}
Summary:	NorduGrid repository configuration

Group:		System Environment/Base
License:	ASL 2.0
URL:		http://www.nordugrid.org/
Source0:	nordugrid.repo
Source1:	nordugrid-updates.repo
Source2:	nordugrid-testing.repo
Source3:	http://download.nordugrid.org/RPM-GPG-KEY-nordugrid
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	yum
%if %{?rhel}%{!?rhel:0}
Requires:	redhat-release
Requires:	epel-release
%else
Requires:	fedora-release
%endif

%description
The NorduGrid repository contains the Advanced Resource Connector (ARC)
middleware.

%prep
# nothing to do

%build
# nothing to do

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg

%if %{?rhel}%{!?rhel:0}
sed 's!fedora/$releasever!redhat/el%{rhel}!' \
    -i $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/*.repo
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/yum.repos.d/*
%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/*

%changelog
* Tue May 10 2011 Mattias Ellert <mattias.ellert@fysast.uu.se> - 11.05-1
- Release 11.05

* Fri Nov 05 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.0-1
- Initial packaging
